#include "net_address.hh"

/************************************************************************
**                              Net_Address                            **
************************************************************************/

/************************************************************************
**                             INET_Address                            **
************************************************************************/

/************************************************************************
**                              IP_Address                             **
************************************************************************/

IP_Address::IP_Address(String& _S)
: sHost(_S)
{
  ;
}

IP_Address::IP_Address(IP_Address& _IPAddr)
: sHost(_IPAddr.sHost)
{
  ;
}

IP_Address::~IP_Address()
{
  ;
}

IP_Address::operator String()
{
  return sHost;
}



/************************************************************************
**                                 Port                                **
************************************************************************/


Port::Port(unsigned short _port)
: port(_port)
{
  ;
}


Port::Port(Port& _P)
: port(_P.port)
{
  ;
}


Port::~Port()
{
  ;
}


Port::operator unsigned short()
{
  return port;
}



/************************************************************************
**                          Transport_Address                          **
************************************************************************/

Transport_Address::Transport_Address(String& _S,Port& _P)
: host(_S), port(_P)
{
  ;
}


Transport_Address::~Transport_Address()
{
  ;
}



/************************************************************************
**                              UDP_Address                            **
************************************************************************/

UDP_Address::UDP_Address(String& _S,Port& _P)
: Transport_Address(_S,_P)
{
  ;
}


UDP_Address::~UDP_Address()
{
  ;
}
